Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound (wrong side of point)

From: Noam Postavsky <[email-masked]>
Date: Sun, 19 Apr 2020 08:57:13 -0400

Jacob Lagares Pozo <[email-masked]> writes:

> OK, not sure if this is what we want, but this is an example output
> that looks interesting.
>
> If needed I'll dump the whole thing to a file, compress, it and post
> it here.

> *slack*<4>>(:comint-pmark #<marker at 238675 in *slack*<4>>)
> 1 <- comint-output-filter: #<marker (moves after insertion) at 238675
> in *slack*<4>>(:comint-pmark nil)

I think this just shows the process ending normally.  And I made a
mistake in the tracing function, better to see both markers, as in:

    (defun bug-40323-get-comint-output-marker ()
      (list :comint-pmark
            (and (markerp comint-last-output-start)
                 (eq (marker-buffer comint-last-output-start)
                     (current-buffer))
                 (cons
                  comint-last-output-start
                  (process-mark (get-buffer-process (current-buffer)))))))